package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.ResourceDataMicroappDataModel;
import com.lightinit.hsdataplatform.model.admin.ResourceMicroappRegisterListModel;
import com.lightinit.hsdataplatform.model.admin.ResourceMicroappRegisterSearchModel;

import java.util.List;
import java.util.Map;

public interface IResourceMicroappRegisterService {
    List<ResourceMicroappRegisterListModel> queryList(ResourceMicroappRegisterSearchModel inputModel);
    long queryCount(ResourceMicroappRegisterSearchModel inputModel);
    ResultState<Long> add(ResourceDataMicroappDataModel inputModel,String userName);

    ResultState<Long> delete(long id);

    Object queryOne(long id);

    ResultState edit(ResourceDataMicroappDataModel inputModel);

    Object detail(long id);
    ResourceMicroappRegisterListModel selectDic(long id);
    ResultState<Long> submit(ResourceDataMicroappDataModel inputModel);

    ResultState<Long> shoreAdd(ResourceDataMicroappDataModel inputModel, String username);

    ResultState AddService(ResourceDataMicroappDataModel inputModel);
}
